%def_without gnome_1
%def_without gdkpixbuf
%def_with imlib2

Name: chbg
Version: 1.5
Release: alt2

Summary: ChBg - Desktop background manager/changer/screensaver
License: GPL
Group: Graphical desktop/Other
Url: http://www.idata.sk/~ondrej/%name/

Source: ftp://ftp.idata.sk/pub/unix/x11/%name-%version.tgz
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm

BuildRequires: XFree86-devel glib-devel gtk+-devel libpng-devel zlib-devel

%if_with gdkpixbuf
BuildRequires: gdk-pixbuf-devel
%endif

%if_with imlib2
BuildRequires: freetype-devel freetype2-devel imlib2-devel
%endif

%if_with gnome_1
BuildRequires: gnome-libs-devel
%endif

%description
Program used for managing and changing Desktop backgrounds

%prep
%setup -q
%__chmod -x *.desktop

%build
%configure \
%if_without gnome_1
    --disable-gnome \
%endif
%if_with gdkpixbuf
    --with-image-library=gdkpixbuf \
%endif
%if_with imlib2
    --with-image-library=imlib2 \
%endif

%make_build

%install
%make DESTDIR=%buildroot install

# menu
%__cat <<__MENU__ >%name.menu
?package(%name): needs="X11" section="Configuration/Other" title="Wallpaper changer" \
longtitle="Desktop wallpaper changer" command="%_bindir/%name" icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

# icons
%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*

%if_with gnome_1
%_datadir/gnome/apps/*/chbg.desktop
%_datadir/control-center/.data/ChBgxss1.desktop
%_datadir/control-center/.data/ChBgxss2.desktop
%_datadir/control-center/.data/ChBgxss3.desktop
%_datadir/control-center/.data/chbg_logo.xpm
%_datadir/pixmaps/*
%endif

%_iconsdir/%name.xpm
%_iconsdir/*/%name.xpm
%_menudir/*
%_man1dir/*
%doc AUTHORS ChangeLog NEWS README THANKS TODO chbgrc.sample *.txt

%changelog
* Thu Dec 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.5-alt2
- fixed buildreqs.

* Sun Oct 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.5-alt1
- First build for Sisyphus.
